Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_e_prefs Struct Reference

## Public Attributes
gint | pr_format
gint | pr_dest
gchar * | pr_file
gchar * | pr_cmd
GList * | col_list
gint | num_cols
color_t | st_client_fg
color_t | st_client_bg
color_t | st_server_fg
color_t | st_server_bg
color_t | gui_text_valid
color_t | gui_text_invalid
color_t | gui_text_deprecated
gboolean | gui_expert_composite_eyecandy
gboolean | filter_toolbar_show_in_statusbar
gboolean | restore_filter_after_following_stream
gint | gui_ptree_line_style
gint | gui_ptree_expander_style
gint | gui_toolbar_main_style
gint | gui_toolbar_filter_style
gchar * | gui_qt_font_name
color_t | gui_marked_fg
color_t | gui_marked_bg
color_t | gui_ignored_fg
color_t | gui_ignored_bg
gchar * | gui_colorized_fg
gchar * | gui_colorized_bg
gboolean | gui_geometry_save_position
gboolean | gui_geometry_save_size
gboolean | gui_geometry_save_maximized
console_open_e | gui_console_open
guint | gui_recent_df_entries_max
guint | gui_recent_files_count_max
guint | gui_fileopen_style
gchar * | gui_fileopen_dir
guint | gui_fileopen_preview
gboolean | gui_ask_unsaved
gboolean | gui_find_wrap
gboolean | gui_use_pref_save
gchar * | gui_webbrowser
gchar * | gui_window_title
gchar * | gui_prepend_window_title
gchar * | gui_start_title
version_info_e | gui_version_placement
layout_type_e | gui_layout_type
layout_pane_content_e | gui_layout_content_1
layout_pane_content_e | gui_layout_content_2
layout_pane_content_e | gui_layout_content_3
gchar * | gui_interfaces_hide_types
gboolean | gui_interfaces_show_hidden
gint | console_log_level
gchar * | capture_device
gchar * | capture_devices_linktypes
gchar * | capture_devices_descr
gchar * | capture_devices_hide
gchar * | capture_devices_monitor_mode
gchar * | capture_devices_snaplen
gchar * | capture_devices_pmode
gchar * | capture_devices_filter
gboolean | capture_prom_mode
gboolean | capture_pcap_ng
gboolean | capture_real_time
gboolean | capture_auto_scroll
gboolean | capture_no_extcap
gboolean | capture_show_info
GList * | capture_columns
guint | tap_update_interval
gboolean | display_hidden_proto_items
gboolean | display_byte_fields_with_spaces
gboolean | enable_incomplete_dissectors_check
gboolean | incomplete_dissectors_check_debug
gboolean | strict_conversation_tracking_heuristics
gboolean | gui_update_enabled
software_update_channel_e | gui_update_channel
gint | gui_update_interval
gchar * | saved_at_version
gboolean | unknown_prefs
gboolean | unknown_colorfilters
gboolean | gui_qt_packet_list_separator
gboolean | gui_qt_show_selected_packet
gboolean | gui_qt_show_file_load_time
gboolean | gui_packet_editor
elide_mode_e | gui_packet_list_elide_mode
gboolean | gui_packet_list_show_related
gboolean | gui_packet_list_show_minimap
gboolean | st_enable_burstinfo
gboolean | st_burst_showcount
gint | st_burst_resolution
gint | st_burst_windowlen
gboolean | st_sort_casesensitve
gboolean | st_sort_rng_fixorder
gboolean | st_sort_rng_nameonly
gint | st_sort_defcolflag
gboolean | st_sort_defdescending
gboolean | st_sort_showfullname
gboolean | extcap_save_on_start

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/prefs.h